API reference
All operations
INVENTORYREQUEST

Creates an inventory request with no pricing information, if successfull returns inventory request ID for the new request.

POST/api/v2/inventory-request/requests/createlite

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentialsAPI key

Request body

application/jsonrequired
InventoryRequestCreateRequestDTO
  • requestTypeIDinteger · int32
  • userIDinteger · int32
  • companyIDinteger · int32
  • contactIDinteger · int32
  • branchIDinteger · int32
  • intervalIDinteger · int32
  • intervalCountinteger · int32
  • rateSelectioninteger
  • baseMachineProfileIDinteger · int32
  • willCallboolean
  • startDatestring · date-time
  • deliveryDatestring · date-time
  • makestring
  • modelstring
  • taxableStatestring
  • taxableCountystring
  • projectInformationstring
  • projectNamestring
  • generalContractorstring
  • contractorContactstring
  • contractorContactPhonestring
  • contractorContactEmailstring
  • freeFormCommentsstring
  • jobAddress1string
  • jobAddress2string
  • jobCitystring
  • jobStatestring
  • jobCountystring
  • jobCountrystring
  • jobZipstring
  • jobInstructionsstring

Responses

OK

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

datainteger
integer · int32